Subject: bug#62775: 29.0.60; C-M-i or ispell-complete-word experiences "lookup-words error"

From: Eli Zaretskii <[email-masked]>
Date: Tue, 11 Apr 2023 16:29:30 +0300

> Date: Tue, 11 Apr 2023 12:48:13 GMT
> From: Van Ly <[email-masked]>
> 
> M-$ or ispell-word works by default but C-M-i or ispell-complete-word fails.
> 
> Steps to reproduce the error
>  - emacs -Q
>  - C-x b xxx
>  - M-x text-mode
>  +
>  - type "ju"
>  - C-M-i ;;=> causes the echo area to say the following
> 
> > ispell-lookup-words: lookup-words error: No plain word-list found at
> > systemdefault locations.  Customize ‘ispell-alternate-dictionary’ to
> > set yours.
> 
> The unexpected behavior is the above error shown in the *Messages* buffer.

What is your value of ispell-alternate-dictionary?  I'm guessing it's
nil, in which case the error message tells you what to do.

I don't know whether modern Posix systems have a word-list file in
some standard location installed; if they do, and that place is not
looked up by the initialization of ispell-alternate-dictionary, we
could add those other places to the list of standard locations.  But
if the word-list file is generally not installed, then I think the
error message is to be expected.

I've now added the fact that a word-list file is necessary for
ispell-complete-word to work to the command's doc string.  I don't
think we should or can do anything else about it.